Loading...
Searching...
No Matches
BALL::FDPB::Boundary Struct Reference

`#include <BALL/SOLVATION/poissonBoltzmann.h>`

## Static Public Attributes

static const String | ZERO
static const String | DEBYE
static const String | COULOMB
static const String | DIPOLE
static const String | FOCUSING

## Detailed Description

This struct contains symbols for the available boundary conditions.

Definition at line 411 of file poissonBoltzmann.h.

## Member Data Documentation

## COULOMB

const String BALL::FDPB::Boundary::COULOMB

static

Boundary condition Coulomb: potential at boundary points is estimated using coulomb's law.

Definition at line 436 of file poissonBoltzmann.h.

## DEBYE

const String BALL::FDPB::Boundary::DEBYE

static

Boundary condition Debye: potential at boundary points is estimated using Debye Hueckel theory. The Potential at each point of the grid boundary is estimated as the Debye Hueckel potential according to the following formula:

  This options tends to become very slow for large grids.

Definition at line 431 of file poissonBoltzmann.h.

## DIPOLE

const String BALL::FDPB::Boundary::DIPOLE

static

Boundary condition Dipole: potential is estimated via dipole potentials

Definition at line 440 of file poissonBoltzmann.h.

## FOCUSING

const String BALL::FDPB::Boundary::FOCUSING

static

Boundary condition Focusing: potential is estimated via a larger but coarser grid. Focusing calculates a larger grid (double extension in each direction) centered on the final grid with a four times the spacing of the final grid. Focusing also assigns an estimate of the electrostatic potential to each grid point in the final grid, thus acceleratingthe convergence.

Definition at line 448 of file poissonBoltzmann.h.

## ZERO

const String BALL::FDPB::Boundary::ZERO

static

Boundary condition zero: boundary points have zero potential. A Potential of zero is assigned to all points on the grid boundary. This is the simplest and least accurate method. It's use is not recommended.

Definition at line 419 of file poissonBoltzmann.h.